## openjdk-8 8u412-ga

=== debian/changelog ===
openjdk-8 (8u412-ga-1~20.04.1) focal-security; urgency=medium

  * Modify the previous changelog entry: add CVE information

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 30 May 2024 11:33:26 +0530

openjdk-8 (8u412-ga-1~20.04) focal-security; urgency=medium

  * New upstream release (Closes: #1069678)
  * CVEs
    - CVE-2024-21011, 8319851: Improve exception logging.
    - CVE-2024-21085, 8322114: Improve Pack 200 handling.
    - CVE-2024-21068, 8322122: Enhance generation of addresses.
    - CVE-2024-21094, 8317507: Already fixed in November 2023:
        C2 compilation fails with "Exceeded _node_regs array".

  * Security fixes
    - JDK-8317507, JDK-8325348: C2 compilation fails
      with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-April/018329.html
  * Upload sponsored by QVEST ⮡ dıgıtal
  * Re-enable running tests by default except on noble/i386 (lacks prereqs)
  * Switch from pkg-config to pkgconf for bookworm/mantic+ (lintian)

  [ Pushkar Kulkarni ]
  * Upload to Ubuntu 20.04

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 23 Apr 2024 01:10:58 +0200

=== debian/control ===
Source: openjdk-8
Section: java
Priority: optional
Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Glaser <tg@mirbsd.de>
Build-Depends: debhelper (>= 11), quilt, m4, lsb-release, zip, unzip,
  openjdk-8-jdk-headless,
  sharutils, gawk, cpio, procps, wdiff, tzdata,
  xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, openjdk-8-jre-headless <!nocheck> | default-jre-headless (>= 2:1.8) <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>, time,
  autoconf (>= 2.69), automake, pkg-config, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2),
  gcc-9, g++-9, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev,
  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev,
  libnss3-dev (>= 2:3.26), openjdk-8-jdk-headless <cross>, dpkg-dev (>= 1.17.14),
Standards-Version: 4.6.2
Homepage: https://openjdk.org/projects/jdk8u/
VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/openjdk-8.git;a=shortlog;h=refs/heads/master

Package: openjdk-8-jdk-headless
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Suggests: openjdk-8-demo, openjdk-8-source
Provides: java-sdk-headless (= 8), java2-sdk-headless,
  java5-sdk-headless, java6-sdk-headless,
  java7-sdk-headless, java8-sdk-headless,
Breaks: openjdk-8-jre-headless (<< 8u232-b07-1),
Replaces: openjdk-8-jdk (<< 8u72-b15-4), openjdk-8-jre-headless (<< 8u232-b07-1),
Description: OpenJDK Development Kit (JDK) (headless)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package contains almost the full JDK, except for some
 tools (appletviewer, jconsole) and headers (jawt) that make sense
 only in GUI environments.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-headless
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: ${jredefault:Depends}, ${cacert:Depends},
  ${tzdata:Depends}, ${jcommon:Depends}, ${dlopenhl:Depends},
  ${mountpoint:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenhl:Recommends}
Suggests: libnss-mdns,
  fonts-dejavu-extra,
  fonts-nanum, fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei, fonts-wqy-zenhei, fonts-indic,
Provides: java-runtime-headless (= 8), java2-runtime-headless,
  java5-runtime-headless, java6-runtime-headless,
  java7-runtime-headless, java8-runtime-headless,
  ${defaultvm:Provides}, ${jvm:Provides}
Breaks: oracle-java8-installer (<< 8u77+8u77arm-1),
  ${jrehl:Breaks}
Description: OpenJDK Java runtime, using ${vm:Name} (headless)
 Minimal Java runtime - needed for executing non GUI Java programs,
 using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jdk
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  openjdk-8-jdk-headless (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libxt-dev
Suggests: openjdk-8-demo, openjdk-8-source, visualvm
Provides: java-sdk (= 8), java2-sdk, java5-sdk, java6-sdk,
  java7-sdk, java8-sdk, java-compiler
Description: OpenJDK Development Kit (JDK)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This binary package extends the headless JDK with GUI-specific
 utilities, libraries and, as necessary, package dependencies.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
  ${xandsound:Depends},
  ${dlopenjre:Depends}, ${dep:bridge},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: ${dlopenjre:Recommends}, fonts-dejavu-extra
Replaces: openjdk-8-jre-headless (<< 8u20~b20-3)
Provides: java-runtime (= 8), java2-runtime,
  java5-runtime, java6-runtime,
  java7-runtime, java8-runtime
Description: OpenJDK Java runtime, using ${vm:Name}
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using ${vm:Name}.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-demo
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (= ${binary:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Description: Java runtime based on OpenJDK (demos and examples)
 OpenJDK Java runtime
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-source
Architecture: all
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre (>= ${source:Version}),
  openjdk-8-jdk (>= ${binary:Version}),
  ${misc:Depends}
Replaces: openjdk-8-jdk (<< 8u20~b26-1~)
Description: OpenJDK Development Kit (JDK) source files
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the Java programming language source files
 (src.zip) for all classes that make up the Java core API.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-doc
Section: doc
Pre-Depends: ${dpkg:Depends}
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: openjdk-8-jdk
Description: OpenJDK Development Kit (JDK) documentation
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the API documentation.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-dbg
Architecture: alpha amd64 arm64 armel armhf i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32
Multi-Arch: same
Section: debug
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}),
   ${misc:Depends}
Recommends: openjdk-8-jre (= ${binary:Version})
Suggests: openjdk-8-jdk (= ${binary:Version})
Description: Java runtime based on OpenJDK (debugging symbols)
 OpenJDK is a development environment for building applications,
 applets, and components using the Java programming language.
 .
 This package contains the debugging symbols.
 .
 The packages are built using the IcedTea build support and patches
 from the IcedTea project.

Package: openjdk-8-jre-zero
Architecture: amd64 arm64 i386 ppc64 ppc64el armhf
Multi-Arch: same
Pre-Depends: ${dpkg:Depends}
Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: ${zerovm:Provides}
Description: Alternative JVM for OpenJDK, using Zero
 The package provides an alternative runtime using the Zero VM. Built on
 architectures in addition to the Hotspot VM as a debugging aid for those
 architectures which don't have a Hotspot VM.
 .
 The VM is started with the option `-zero'. See the README.Debian for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

unexport LANG
export LC_ALL=C
unexport LANGUAGE

NULL :=

dh_version := $(shell dpkg-query -f '$${Version}\n' -W debhelper | sed -n 's/^\(.\).*/\1/p')

# using brace expansion and substring replacements (${var:0:2}).
SHELL = /bin/bash

# use gnu time in verbose mode if available, otherwise default to the shell builtin
ifneq (,$(wildcard /usr/bin/time))
  TIME = /usr/bin/time -v
else
  TIME = time
endif

vafilt = $(subst $(2)=,,$(filter $(2)=%,$(1)))

DPKG_VARS		:= $(shell dpkg-architecture)
DEB_HOST_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH)
DEB_BUILD_ARCH		?= $(call vafilt,$(DPKG_VARS),DEB_BUILD_ARCH)
DEB_HOST_ARCH_CPU	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	?= $(call vafilt,$(DPKG_VARS),DEB_HOST_MULTIARCH)

PATH := $(CURDIR)/bin:$(PATH)
export PATH

CHANGELOG_VARS := $(shell dpkg-parsechangelog | sed -n 's/ /_/g;/^[^_]/s/^\([^:]*\):_\(.*\)/\1=\2/p')
PKGSOURCE := $(call vafilt,$(CHANGELOG_VARS),Source)
PKGVERSION := $(call vafilt,$(CHANGELOG_VARS),Version)

distribution := $(shell lsb_release --id --short)
distrel := $(shell lsb_release --codename --short)
derivative := $(shell if dpkg-vendor --derives-from Ubuntu; then echo Ubuntu; \
               elif dpkg-vendor --derives-from Debian; then echo Debian; \
               else echo Unknown; fi)
ifeq ($(distrel),n/a)
  distrel := sid
endif

multiarch_dir = /$(DEB_HOST_MULTIARCH)

hotspot_aarch32_archs = armhf

hotspot_archs	= amd64 arm64 i386 ppc64 ppc64el \
		  ${hotspot_aarch32_archs}
jtreg_archs	= ${hotspot_archs} alpha armel \
		  ia64 loong64 mips mipsel mips64 mips64el \
		  powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64 x32
# FIXME: use bootcycle builds for zero archs?
bootcycle_build  = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
  bootcycle_build  =
endif

# we know about:
# wheezy jessie stretch buster bullseye bookworm trixie sid
# precise trusty xenial bionic focal jammy (mantic) noble

ifneq (,$(filter $(distrel),wheezy precise trusty))
  is_default = no
else
  is_default = yes
endif

is_upstream_release = yes

srcdir		= src
builddir	= build
zbuilddir	= build-zero

VENDOR		= openjdk
Vendor		= OpenJDK
TOP		= usr/lib/jvm
origin		= openjdk
basename	= openjdk-$(shortver)
ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
  priority	= $(if $(filter yes, $(is_default)),1081,1069)
  vm_name	= Hotspot JIT
else
  priority	= $(if $(filter yes, $(is_default)),1074,1063)
  vm_name	= Hotspot Zero
endif
jvmver		= 1.8.0
shortver	= 8

is_release		=
is_release		= yes
gh_project		= jdk8u
gh_tag			= jdk8u412-ga
version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
version_dash_buildnr	= 412-b08
gh_tag_aarch32		= jdk8u412-ga-aarch32-20240419
package_version		= $(subst jdk,,${gh_tag})
ifneq ($(is_release),yes)
  package_version	:= $(subst -,~,$(package_version))
endif

# make sure to set version_dash_buildnr above manually if gh_tag is -ga
updatever		:= $(firstword $(subst -, ,${version_dash_buildnr}))
buildver		:= $(lastword $(subst -, ,${version_dash_buildnr}))

ifneq (,$(DEB_HOST_MULTIARCH))
  jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
  jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
  commonbasedir	= $(basedir)
  etcdir	= etc/java-$(shortver)-$(origin)
else
  jdirname	= java-$(shortver)-$(origin)
  jdiralias	= java-$(jvmver)-$(origin)
  basedir	= $(TOP)/$(jdirname)
  commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
  etcdir	= etc/$(jdirname)
endif
security	= $(etcdir)/security
ifneq ($(bootcycle_build),yes)
  jreimg	= images/j2re-image
  sdkimg	= images/j2sdk-image
  build_target	= images
else
  jreimg	= bootcycle-build/images/j2re-image
  sdkimg	= bootcycle-build/images/j2sdk-image
  build_target	= bootcycle-images
endif

# Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
COMMA=,
SPACE = $(EMPTY) $(EMPTY)
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS = $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

nocheck_profile = ${NULL} <!nocheck>
with_check = $(if $(findstring nocheck, $(DEB_BUILD_OPTIONS)),,yes)
ifeq (,$(filter $(DEB_HOST_ARCH),$(hotspot_archs)))
  with_check = disabled running check for Zero arch $(DEB_HOST_ARCH)
endif
ifneq (,$(filter $(distrel),precise wheezy))
  nocheck_profile =
  with_check = disabled running check on $(distrel)
endif
ifneq (,$(filter ${distrel},noble))
  ifeq (${DEB_HOST_ARCH},i386)
    with_check = disabled running check on ${distrel}/${DEB_HOST_ARCH}
  endif
  nocheck_profile = ${NULL} [!i386] <!nocheck>
endif
#with_check = disabled for this build

with_docs = $(if $(findstring nodoc, $(DEB_BUILD_OPTIONS)),,yes)

arch_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i586 ia64=ia64 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32
archdir_map	:= alpha=alpha amd64=amd64 arm64=aarch64 arm=arm armel=arm armhf=arm hppa=parisc i386=i386 ia64=ia64 loong64=loongarch64 m68k=m68k mips=mips mipsel=mipsel mips64=mips64 mips64el=mips64el powerpc=ppc powerpcspe=ppc ppc64=ppc64 ppc64el=ppc64le s390x=s390x sh4=sh sparc64=sparcv9 sparc=sparc x32=x32

jvmarch		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(arch_map))))
archdir		:= $(strip $(patsubst $(DEB_HOST_ARCH_CPU)=%, %, \
			$(filter $(DEB_HOST_ARCH_CPU)=%, $(archdir_map))))
ifeq ($(DEB_HOST_ARCH),x32)
  jvmarch := x32
  archdir := x32
endif

default_vm = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),hotspot,zero)
hotspot_version = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),default,zero)
hotspot_version = default
ifneq (,$(filter $(DEB_HOST_ARCH),$(hotspot_aarch32_archs)))
  hotspot_version = aarch32
endif

any_archs = alpha amd64 arm64 armel ${hotspot_aarch32_archs} i386 ia64 loong64 m68k mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc sparc64 x32

ifneq (,$(filter $(distrel),xenial))
  transitional_jamvm_pkg = yes
endif

# Don't build zero alternate vm on Trusty
ifeq (,$(filter $(distrel),trusty))
  altzero_archs = $(filter-out sparc, $(hotspot_archs))
endif

ifeq (,$(filter noaltzero, $(DEB_BUILD_OPTIONS)))
  ifneq (,$(filter $(DEB_HOST_ARCH), $(altzero_archs)))
      alternate_vms += zero
      zero_dir = zero
  endif
endif

BOOTJDK_HOME := $(strip $(subst /bin/javac,, $(firstword $(wildcard \
			/usr/lib/jvm/java-8-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)/bin/javac \
			/usr/lib/jvm/java-7-openjdk/bin/javac \
		))))

ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
  BUILDJDK_HOME = $(CURDIR)/$(builddir)/$(sdkimg)
else
  BUILDJDK_HOME = $(BOOTJDK_HOME)
endif

OPENJDK_VERSION = jdk$(shortver)u$(updatever)-$(buildver)

# for Hotspot: hotspot/make/linux/makefiles/vm.make
# Don't overwrite Hotspot opt level :
# -O3 is already default option for hotspot

# FIXME: ftbfs with -Werror=format-security
dpkg_buildflags_hs = \
	DEB_CFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security" \
	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
# jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
dpkg_buildflags_hs += \
	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"
dpkg_buildflags_hs += dpkg-buildflags
export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)

## openjdk-8 8u422-b05

=== debian/changelog ===
openjdk-8 (8u422-b05-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Re-add default-jre-headless build-dep, needed by jtreg for the
    test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 27 Jul 2024 19:08:40 +0200

openjdk-8 (8u422-b05-1) unstable; urgency=medium

  * New upstream release
  * CVEs
    - CVE-2024-21131
    - CVE-2024-21138
    - CVE-2024-21140
    - CVE-2024-21144
    - CVE-2024-21145
    - CVE-2024-21147
  * Security fixes
    - JDK-8314794: Improve UTF8 String supports
    - JDK-8319859: Better symbol storage
    - JDK-8320097: Improve Image transformations
    - JDK-8320548: Improved loop handling
    - JDK-8322106: Enhance Pack 200 loading
    - JDK-8323231: Improve array management
    - JDK-8323390: Enhance mask blit functionality
    - JDK-8324559: Improve 2D image handling
    - JDK-8325600: Better symbol storage
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-July/018904.html
  * Re-enable tests on noble/i386, the prerequisites were added back
    with no coordination; disable on sid/{m68k,sh4} for same reason
  * Overhaul way various control files are (re‑)generated
  * Avoid default-jre being pulled in by B-D-ing on jdk-!headless again
  * Upload sponsored by QVEST ⮡ dıgıtal

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 20 Jul 2024 01:34:18 +0200

openjdk-8 (8u412-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.
  * Re-enable test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 26 Apr 2024 12:53:17 +0200

openjdk-8 (8u412-ga-1) unstable; urgency=medium

  * New upstream release (Closes: #1069678)
  * CVEs
    - CVE-2024-21011
    - CVE-2024-21085
    - CVE-2024-21068
    - CVE-2024-21094
  * Security fixes
    - JDK-8317507, JDK-8325348: C2 compilation fails
      with "Exceeded _node_regs array"
    - JDK-8318340: Improve RSA key implementations
    - JDK-8319851: Improve exception logging
    - JDK-8322114: Improve Pack 200 handling
    - JDK-8322122: Enhance generation of addresses
  * Other changes see
    https://mail.openjdk.org/pipermail/jdk8u-dev/2024-April/018329.html
  * Upload sponsored by QVEST ⮡ dıgıtal
  * Re-enable running tests by default except on noble/i386 (lacks prereqs)
  * Switch from pkg-config to pkgconf for bookworm/mantic+ (lintian)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 23 Apr 2024 01:10:58 +0200

openjdk-8 (8u402-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Jan 2024 16:09:13 +0100

openjdk-8 (8u392-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 26 Oct 2023 10:55:48 +0200

openjdk-8 (8u382-ga-1~deb9u1) stretch-security; urgency=medium

  * Backport to stretch.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 26 Jul 2023 11:40:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,9 @@
 Priority: optional
 Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: debhelper (>= 11), quilt, m4, lsb-release, zip, unzip,
-  openjdk-8-jdk-headless,
-  sharutils, gawk, cpio, procps, wdiff, tzdata,
-  xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, openjdk-8-jre-headless <!nocheck> | default-jre-headless (>= 2:1.8) <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>, time,
-  autoconf (>= 2.69), automake, pkg-config, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2),
-  gcc-9, g++-9, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev,
-  zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev,
-  libnss3-dev (>= 2:3.26), openjdk-8-jdk-headless <cross>, dpkg-dev (>= 1.17.14),
+Build-Depends: openjdk-8-jdk, default-jre-headless, debhelper (>= 9), quilt,
+ m4, lsb-release, zip, unzip, sharutils, gawk, cpio, procps, wdiff, tzdata,
+ xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-6, g++-6, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.6.2
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 
 # we know about:
 # wheezy jessie stretch buster bullseye bookworm trixie sid
-# precise trusty xenial bionic focal jammy (mantic) noble
+# precise trusty xenial bionic focal jammy (mantic) noble oracular
 
 ifneq (,$(filter $(distrel),wheezy precise trusty))
   is_default = no
@@ -97,10 +97,12 @@
 is_release		=
 is_release		= yes
 gh_project		= jdk8u
-gh_tag			= jdk8u412-ga
+#gh_tag			= jdk8u412-ga
+gh_tag			= jdk8u422-b05
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
-version_dash_buildnr	= 412-b08
-gh_tag_aarch32		= jdk8u412-ga-aarch32-20240419
+#version_dash_buildnr	= 412-b08
+# patched to get up to b05 (${UPSTREAM_PATCHES})
+gh_tag_aarch32		= jdk8u422-b04-aarch32-20240703
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))
@@ -151,11 +153,13 @@
   nocheck_profile =
   with_check = disabled running check on $(distrel)
 endif
-ifneq (,$(filter ${distrel},noble))
-  ifeq (${DEB_HOST_ARCH},i386)
+ifeq (,$(filter ${distrel},wheezy jessie stretch buster bullseye bookworm precise trusty xenial bionic focal jammy mantic noble oracular))
+  # Debian testing/sid
+  ifneq (,$(filter ${DEB_HOST_ARCH},m68k sh4))
+    # xfwm4 B-D for testing not available
     with_check = disabled running check on ${distrel}/${DEB_HOST_ARCH}
   endif
-  nocheck_profile = ${NULL} [!i386] <!nocheck>
+  nocheck_profile = ${NULL} [!m68k !sh4] <!nocheck>
 endif
 #with_check = disabled for this build
 
@@ -223,6 +227,3 @@
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
 	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \
-	DEB_LDFLAGS_MAINT_APPEND="-Xlinker -z -Xlinker relro -Xlinker -Bsymbolic-functions -Xlinker --no-as-needed"
-dpkg_buildflags_hs += dpkg-buildflags
-export EXTRA_CPPFLAGS_HS := $(shell $(dpkg_buildflags_hs) --get CPPFLAGS)

## openjdk-8 8u432-b06

=== debian/changelog ===
openjdk-8 (8u432-b06-2~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.
  * Drop default-jre-headless build-dep, no longer needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 04 Nov 2024 09:29:58 +0100

openjdk-8 (8u432-b06-2) unstable; urgency=medium

  * Drop b04-to-b05-hotspot.diff, no longer needed. Fixes FTBFS on armhf.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 03 Nov 2024 12:33:56 +0100

openjdk-8 (8u432-b06-1) unstable; urgency=medium

  [ Vladimir Petko ]
  * Include /usr/share/dpkg/buildflags.mk to work around *buntu
    breaking package builds without it (Closes: #1076752)

  [ Thorsten Glaser ]
  * Include /usr/share/dpkg/buildflags.mk only if it exists
  * Set JT_JAVA if needed to not need default-jre-headless

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 01 Nov 2024 22:24:27 +0100

openjdk-8 (8u422-b05-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.
  * Re-add default-jre-headless build-dep, needed by jtreg for the
    test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 27 Jul 2024 20:17:01 +0200

openjdk-8 (8u412-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.
  * Enable the test suite.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 26 Apr 2024 12:49:36 +0200

openjdk-8 (8u402-ga-1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 22 Jan 2024 16:12:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: openjdk-8-jdk, default-jre-headless, debhelper (>= 9), quilt,
+Build-Depends: openjdk-8-jdk, debhelper (>= 9), quilt,
  m4, lsb-release, zip, unzip, sharutils, gawk, cpio, procps, wdiff, tzdata,
- xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-6, g++-6, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
+ xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-4.9, g++-4.9, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26),  time
 Standards-Version: 4.6.2
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master

## openjdk-8 8u432-ga~us1

=== debian/changelog ===
openjdk-8 (8u432-ga~us1-0ubuntu2~22.04) jammy-security; urgency=medium

  * d/control: regenerate for Ubuntu 22.04
  * Upload to Ubuntu 22.04

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Wed, 30 Oct 2024 15:14:59 +0100

openjdk-8 (8u432-ga~us1-0ubuntu1) plucky; urgency=medium

  * OpenJDK 8u432 release
    - CVEs
      + CVE-2024-21208, 8328286: Enhance HTTP client
      + CVE-2024-21210, 8328544: Improve handling of vectorization
      + CVE-2024-21217, 8331446: Improve deserialization support
      + CVE-2024-21235, 8332644: Improve graph optimizations

  [ Thorsten Glaser ]
  * Include /usr/share/dpkg/buildflags.mk only if it exists
  * Set JT_JAVA if needed to not need default-jre-headless

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Mon, 28 Oct 2024 14:47:05 +0100

openjdk-8 (8u422-b05-1ubuntu1) oracular; urgency=medium

  * d/rules: Include /usr/share/dpkg/buildflags.mk to avoid configure
    failure due to the undefined variables (LP: #2073806).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 23 Jul 2024 11:17:18 +1200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: openjdk-8
 Section: java
 Priority: optional
-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: openjdk-8-jdk, debhelper (>= 9), quilt,
+Build-Depends: openjdk-8-jdk, debhelper (>= 11), quilt,
  m4, lsb-release, zip, unzip, sharutils, gawk, cpio, procps, wdiff, tzdata,
- xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-4.9, g++-4.9, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26),  time
+ xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.6.2
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,10 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(wildcard /usr/share/dpkg/buildflags.mk))
+include /usr/share/dpkg/buildflags.mk
+endif
 
 unexport LANG
 export LC_ALL=C
@@ -98,7 +102,7 @@
 is_release		= yes
 gh_project		= jdk8u
 #gh_tag			= jdk8u412-ga
-gh_tag			= jdk8u422-b05
+gh_tag			= jdk8u432-ga
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
 #version_dash_buildnr	= 412-b08
 # patched to get up to b05 (${UPSTREAM_PATCHES})
@@ -226,4 +230,3 @@
 	DEB_CXXFLAGS_MAINT_STRIP="-O2 -O3 -Werror=format-security"
 # jdk/make/CompileDemos.gmk (SetupJVMTIDemo) doesn't like commas in flags
 dpkg_buildflags_hs += \
-	DEB_LDFLAGS_MAINT_STRIP="-Wl,-z,relro -Wl,-Bsymbolic-functions" \

## openjdk-8 8u442

=== make/devkit/Makefile ===
#
# Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the LICENSE file that accompanied this code.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.
#

##########################################################################################
#
# This Makefile, together with Tools.gmk, can be used to compile a set of
# gcc based cross compilation, portable, self contained packages, capable
# of building OpenJDK.
#
# In addition to the makefiles, access to Oracle Linux installation
# media is required. This has been tested against Oracle Enterprise Linux
# 5.5. Set variables RPM_DIR_x86_64 and RPM_DIR_i686 respectively to point
# to directory containing the RPMs.
#
# By default this Makefile will build crosstools for:
# * i686-unknown-linux-gnu
# * x86_64-unknown-linux-gnu
# The x86_64 version of the compilers will work in multi arch mode and will
# be able to compile 32bit binaries with the -m32 flag. This makes the
# explicit cross compiler for i686 somewhat redundant and is a known issue.
#
# To build the full set of crosstools, use a command line looking like this:
#
# make tars RPM_DIR_x86_64=/tmp/oel55-x86_64/Server/ RPM_DIR_i686=/tmp/oel55-i686/Server/
#
# To create a x86_64 package without the redundant i686 cross compiler, do
# like this:
#
# make tars platforms=x86_64-unknown-linux-gnu RPM_DIR_x86_64=/tmp/oel55-x86_64/Server/ RPM_DIR_i686=/tmp/oel55-i686/Server/

#
# Main makefile which iterates over all host and target platforms.
#

os := $(shell uname -o)
cpu := x86_64
#$(shell uname -p)

#
# This wrapper script can handle exactly these platforms
#
platforms := $(foreach p,x86_64 i686,$(p)-unknown-linux-gnu)
#platforms := $(foreach p,x86_64,$(p)-unknown-linux-gnu)

# Figure out what platform this is building on.
me := $(cpu)-$(if $(findstring Linux,$(os)),unknown-linux-gnu)

$(info Building on platform $(me))

all compile : $(platforms)

ifeq (,$(SKIP_ME))
  $(foreach p,$(filter-out $(me),$(platforms)),$(eval $(p) : $$(me)))
endif

OUTPUT_ROOT = $(abspath ../../build/devkit)
RESULT = $(OUTPUT_ROOT)/result

submakevars = HOST=$@ BUILD=$(me) \
    RESULT=$(RESULT) PREFIX=$(RESULT)/$@ \
    OUTPUT_ROOT=$(OUTPUT_ROOT)
$(platforms) :
	@echo 'Building compilers for $@'
	@echo 'Targets: $(platforms)'
	for p in $@ $(filter-out $@,$(platforms)); do \
	  $(MAKE) -f Tools.gmk all $(submakevars) \
	      TARGET=$$p || exit 1 ; \
	done
	@echo 'Building ccache program for $@'
	$(MAKE) -f Tools.gmk ccache $(submakevars) TARGET=$@
	@echo 'All done"'

$(foreach a,i686 x86_64,$(eval $(a) : $(filter $(a)%,$(platforms))))

ia32 : i686
today := $(shell date +%Y%m%d)


define Mktar
  $(1)_tar = $$(RESULT)/sdk-$(1)-$$(today).tar.gz
  $$($(1)_tar) : PLATFORM = $(1)
  TARFILES += $$($(1)_tar)
  $$($(1)_tar) : $(1) $$(shell find $$(RESULT)/$(1))
endef

$(foreach p,$(platforms),$(eval $(call Mktar,$(p))))

tars : all $(TARFILES)
onlytars : $(TARFILES)
%.tar.gz :
	@echo 'Creating compiler package $@'
	cd $(RESULT)/$(PLATFORM) && tar -czf $@ *
	touch $@

clean :
	rm -rf build result

FORCE :
.PHONY : $(configs) $(platforms)

=== test/sun/management/jmxremote/bootstrap/Makefile ===
# Copyright (c) 2006, 2007, Oracle and/or its affiliates. All rights reserved.
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
#
# This code is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 only, as
# published by the Free Software Foundation.
#
# This code is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# version 2 for more details (a copy is included in the LICENSE file that
# accompanied this code).
#
# You should have received a copy of the GNU General Public License version
# 2 along with this work; if not, write to the Free Software Foundation,
# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
# or visit www.oracle.com if you need additional information or have any
# questions.

#
# This Makefile is used to generate versions of the launcher program for
# use by the CustomLauncherTest.  The binaries are checked into SCCS
# so this Makefile is not used as part of test run.  It is provided to
# make rebuilding the launcher binaries a relatively painless activity.
#

#
# Edit the following to reflect the current build environment.
#
# Architecture being built (initially one of: solaris-sparc, solaris-i586,
# linux-i586.
#
PLATFORM=solaris
ARCH=sparc
OUTPUT_DIR =$(PLATFORM)-$(ARCH)

#
# Path to C compiler
#
# As of 6/1/06:
#	Solaris	CC=/java/devtools/$(ARCH)/SUNWspro/SS11/bin/cc
#	Linux	CC=/usr/bin/gcc
#
CC=/java/devtools/$(ARCH)/SUNWspro/SS11/bin/cc

#
# Include directory in JRE or JDK install
#
JINCLUDE=/java/re/jdk/1.6.0/latest/binaries/$(OUTPUT_DIR)/include

#
# PLATFORM dependent flags
#
# On pre-Solaris 10, -lthread is required.
#
ifeq ($(PLATFORM), solaris)
	PLATFORM_LIBS= -lthread
else
	PLATFORM_LIBS=
endif

#
# Targets
#
all: install

$(PLATFORM):
	mkdir $(OUTPUT_DIR) $(OUTPUT_DIR)/SCCS

install: $(PLATFORM)
	$(CC) -I$(JINCLUDE) -I$(JINCLUDE)/$(PLATFORM) \
		-o $(OUTPUT_DIR)/launcher launcher.c $(PLATFORM_LIBS) -ldl

clean:


clobber: clean
	rm $(OUTPUT_DIR)/launcher

=== test/java/nio/channels/spi/SelectorProvider/inheritedChannel/Makefile ===
#
#
# Makefile for building libLauncher.so
#
# To build libLauncher.so requires :-
#     JAVA_HOME environment variable 
#     cc (Solaris) or gcc (Linux) on PATH
#
# The library is created in a architecture specific directory :-
#
#     lib/solaris-sparc/libLauncher.so	(Solaris/SPARC)
#     lib/solaris-i586/libLauncher.so	(Solaris/x86)
#     lib/linux-i586/libLauncher.so	(Linux/x86)

ECHO  = echo
MKDIR = mkdir
UNAME = uname

uname := $(shell uname)

ifeq ($(uname), SunOS)
  PLATFORM = solaris
  ISAINFO = isainfo
  ARCH_DATA_MODEL=64
  ARCH := $(shell $(ISAINFO) -n)
  CC = cc
  LD = ld
  CFLAGS = -D_REENTRANT -D__solaris__
  LDFLAGS_COMMON = -G
  EXTRA_LIBS = -lc
  CC += -m64 -Kpic
endif

ifeq ($(uname), Linux)
  PLATFORM = linux
  archExpr = case "`$(UNAME) -m`" in  \
		i[3-6]86) \
                    $(ECHO) i586 \
                    ;; \
		sparc*)	 \
                    $(ECHO) sparc \
                    ;; \
		*) \
                    $(UNAME) -m	 \
                    ;; \
	   esac
  ARCH	    := $(shell $(archExpr) )
  CC = gcc
  CFLAGS = -fno-strict-aliasing -fPIC -W -Wall
  LD = ld
  LDFLAGS_COMMON = -shared
  EXTRA_LIBS = -lc
endif

LIBDIR=lib/$(PLATFORM)-$(ARCH)
LAUNCHERLIB=$(LIBDIR)/libLauncher.so

all: java_home $(LAUNCHERLIB)

$(LAUNCHERLIB) : $(LIBDIR) $(LIBDIR)/Launcher.o
	$(LD) $(LDFLAGS_COMMON) -o $(LAUNCHERLIB) $(LIBDIR)/Launcher.o $(EXTRA_LIBS)

$(LIBDIR):
	@$(MKDIR) -p $(LIBDIR)

$(LIBDIR)/Launcher.o : Launcher.c \
		       Launcher.h
	$(CC) -c $(CFLAGS) -o $(LIBDIR)/Launcher.o \
	    -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/$(PLATFORM) Launcher.c
	
Launcher.h : Launcher.class
	$(JAVA_HOME)/bin/javah -force Launcher

Launcher.class : Launcher.java
	$(JAVA_HOME)/bin/javac Launcher.java

java_home:
ifndef JAVA_HOME
	@$(ECHO) "ERROR: Your JAVA_HOME environment variable is not set."
	exit 1	
endif

## openjdk-8 8u442-b06~us1

=== debian/changelog ===
openjdk-8 (8u442-b06~us1-0ubuntu1~16.04) xenial-security; urgency=medium

  * Upload to Ubuntu 16.04.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sun, 26 Jan 2025 20:47:33 +1300

openjdk-8 (8u442-b06~us1-0ubuntu1) plucky; urgency=medium

  * OpenJDK 8u442 release, build 6. Release notes:
    https://mail.openjdk.org/pipermail/jdk8u-dev/2025-January/019658.html

   [ Emilio Pozuelo Monfort ]
   * Drop b04-to-b05-hotspot.diff, no longer needed. Fixes FTBFS on armhf.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Sat, 25 Jan 2025 23:18:07 +1300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Java Maintenance <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Glaser <tg@mirbsd.de>
-Build-Depends: openjdk-8-jdk, debhelper (>= 11), quilt,
+Build-Depends: openjdk-8-jdk, debhelper (>= 9), quilt,
  m4, lsb-release, zip, unzip, sharutils, gawk, cpio, procps, wdiff, tzdata,
- xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2-b13-1~) <!nocheck>, libasmtools-java <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-11, g++-11, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype-dev, libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
+ xvfb <!nocheck>, xauth <!nocheck>, xfonts-base <!nocheck>, libgl1-mesa-dri <!nocheck>, xfwm4 <!nocheck>, x11-xkb-utils <!nocheck>, dbus-x11 <!nocheck>, jtreg (>> 4.2~) <!nocheck>, testng <!nocheck>, autoconf (>= 2.69), automake, pkg-config, autotools-dev, ant, ant-optional, fastjar (>= 2:0.96-0ubuntu2), gcc-5, g++-5, libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libfreetype6-dev (>= 2.2.1), libgtk2.0-dev, libffi-dev, zlib1g-dev, libattr1-dev, libpng12-dev, libjpeg-dev, libgif-dev, libcups2, libglib2.0-0 (>= 2.24), libgtk2.0-0 (>= 2.14), libpulse-dev (>= 0.9.12), systemtap-sdt-dev, libnss3-dev (>= 2:3.26), dpkg-dev (>= 1.17.14), time
 Standards-Version: 4.6.2
 Homepage: https://openjdk.org/projects/jdk8u/
 VCS-git: https://evolvis.org/anonscm/git/alioth/openjdk-8.git -b master
@@ -163,6 +163,17 @@
  The packages are built using the IcedTea build support and patches
  from the IcedTea project.
 
+Package: openjdk-8-jre-jamvm
+Architecture: amd64 i386
+Multi-Arch: same
+Priority: extra
+Pre-Depends: ${dpkg:Depends}
+Depends: openjdk-8-jre-headless (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: Transitional package for obsolete JamVM for OpenJDK
+ JamVM support was removed for recent versions of OpenJDK 8.
+ .
+ This is a transitional package which can be safely removed.
+
 Package: openjdk-8-jre-zero
 Architecture: amd64 arm64 i386 ppc64 ppc64el armhf
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -102,11 +102,11 @@
 is_release		= yes
 gh_project		= jdk8u
 #gh_tag			= jdk8u412-ga
-gh_tag			= jdk8u432-ga
+gh_tag			= jdk8u442-b06
 version_dash_buildnr	= $(subst ${gh_project},,${gh_tag})
 #version_dash_buildnr	= 412-b08
 # patched to get up to b05 (${UPSTREAM_PATCHES})
-gh_tag_aarch32		= jdk8u422-b04-aarch32-20240703
+gh_tag_aarch32		= jdk8u442-b06-aarch32-20250125
 package_version		= $(subst jdk,,${gh_tag})
 ifneq ($(is_release),yes)
   package_version	:= $(subst -,~,$(package_version))

=== debian/tests/control ===
Tests: hotspot, langtools
Depends: @, default-jre-headless, jtreg (>> 4.2~), testng, g++
Restrictions: allow-stderr, skippable, flaky

Tests: jdk
Depends: @, default-jre-headless, jtreg (>> 4.2~), testng, g++, xfwm4, xvfb, dbus-x11, unzip, zip
Restrictions: allow-stderr, skippable, flaky
